Loading...
Searching...
No Matches
snd_tplg_bytes_template Struct Reference
Topology Interface

Template type for TLV Scale objects. More...

`#include <topology.h>`

## Data Fields

struct snd_tplg_ctl_template | hdr
int | max
int | mask
int | base
int | num_regs
struct snd_tplg_io_ops_template | ext_ops
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for TLV Scale objects.

## Field Documentation

## base

int snd_tplg_bytes_template::base

base register

## ext_ops

struct snd_tplg_io_ops_template snd_tplg_bytes_template::ext_ops

ops mapping

## hdr

struct snd_tplg_ctl_template snd_tplg_bytes_template::hdr

control type header

## mask

int snd_tplg_bytes_template::mask

byte control mask

## max

int snd_tplg_bytes_template::max

max byte control value

## num_regs

int snd_tplg_bytes_template::num_regs

number of registers

## priv

struct snd_soc_tplg_private* snd_tplg_bytes_template::priv

control private data

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h